--Setting mouse values for contant cursor movement
mousex = love.mouse.getX( )
mousey = love.mouse.getY( )

--player location
playerx = 50
playery= 300



function love.load()
	--cursor operations
	love.mouse.setVisible(false)
	cursor = love.graphics.newImage("img/mouse.png")
	
	--loading bullet
	bullet = love.graphics.newImage("img/bullet.png")
	
	--loading player
	player = love.graphics.newImage("img/player.png")
end

function love.mousepressed(x, y, button)
	 --fire shot 
	  if button == "l" then
	  
	  --destination
	  destinationx = x
      destinationy = y
	  
	  --start bullet
      originx = playerx
	  originy = playery	
	  
	  --calc rate

	  xrate = destinationx-orginx
	  yrate = destinationy-orginy

	  end
end

function love.update(dt)
	--cursor movement
	mousex = love.mouse.getX( )
	mousey = love.mouse.getY( )
	
	--bullet movement
	shotx = originx + (xrate*dt)
	shoty = originy + (yrate*dt)
end

function love.draw()
	love.graphics.draw(bullet, shotx, shoty)
   love.graphics.draw(cursor, mousex, mousey)
   love.graphics.draw(player, playerx, playery)
end
